org.jfree.chart.plot

## Class XYCrosshairState

- java.lang.Object
- - org.jfree.chart.plot.CrosshairState
  - - org.jfree.chart.plot.XYCrosshairState

    public class XYCrosshairState
    extends CrosshairState

Crosshair state information for the `XYPlot` and `XYItemRenderer` classes.

### Constructor Summary

Constructors
Constructor and Description
`XYCrosshairState()` Creates a new instance.

### Method Summary

### Methods inherited from class org.jfree.chart.plot.CrosshairState

`getAnchor, getAnchorX, getAnchorY, getCrosshairDistance, getCrosshairX, getCrosshairY, getDatasetIndex, getDomainAxisIndex, getRangeAxisIndex, setAnchor, setAnchorX, setAnchorY, setCrosshairDistance, setCrosshairX, setCrosshairY, setDatasetIndex, updateCrosshairPoint, updateCrosshairPoint, updateCrosshairX, updateCrosshairX, updateCrosshairY, updateCrosshairY`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XYCrosshairState

    public XYCrosshairState()

Creates a new instance.